Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

# openvrml::vec2d_parser Struct Reference

The implementation of the `openvrml::vec2d_p` functor parser. More...

`#include <openvrml/x3d_vrml_grammar.h>`

List of all members.

## Public Types

typedef openvrml::vec2d | result_t
| Parse result.

## Public Member Functions

template<typename ScannerT >
std::ptrdiff_t | operator() (const ScannerT &scan, result_t &result) const
| Parse a double-precision 2-component vector value.

## Detailed Description

The implementation of the `openvrml::vec2d_p` functor parser.

## Member Typedef Documentation

openvrml::vec2d openvrml::vec2d_parser::result_t

Parse result.

## Member Function Documentation

template<typename ScannerT >

std::ptrdiff_t openvrml::vec2d_parser::operator() | ( | const ScannerT & | scan,
|  | result_t & | result |
| ) |  |  | const`[inline]`

Parse a double-precision 2-component vector value.

Parameters:

  `[in]` | scan | a scanner.
  `[out]` | result | the parse result.